/* Stylesheet for the main pages aka. _layouts/page.html (used for home, about, bookshelf, snail log, games lounge, music room, gallery, etc) */

.nav-content-wrapper {
  max-width: 800px;
  margin: auto;
  padding: var(--space-sm);
  display: flex;
  justify-content: space-between;
}

main {
  flex: 2;
  margin: auto;
  padding-left: var(--space-xs);
}

main h2:first-of-type {
  margin-top: var(--space-sm);
}

header {
  margin-right: var(--space-xs);
  flex: 1;
  text-align: center;
  position: sticky;
  top: 0;
  height: fit-content;
  padding-right: var(--space-sm);
  padding-top: var(--space-sm);
}

#navlinks {
  padding: 0;
  width: 100%;
  justify-content: space-between;
}

[aria-current="page"], [aria-current="page"]:hover, [aria-current="page"]:visited, [aria-current="page"]:active {
  color: var(--txt);
}

#navlinks > li {
  list-style: none;
}

#changelog {
  max-height: 400px;
  overflow: auto;
}

.log-entry:nth-child(even) {
  background-color: var(--bg-accent-alt);
  padding: var(--space-xs) var(--space-sm) var(--space-xxs) var(--space-xs);
}

.log-entry:nth-child(odd) {
  padding: var(--space-xs) var(--space-sm) var(--space-xxs) var(--space-xs);
}

.log-date {
  display: block;
  border-bottom: 2px dotted;
}

.read-more {
  display: block;
  text-align: right;
  padding-bottom: var(--space-xs);
}

.excerpt {
  background: linear-gradient(to bottom, 
   var(--txt) 60%, 
   transparent);
  color: transparent;
  background-clip: text;
}

.shelf {
  display: flex;
  flex-wrap: wrap;
}

.shelf > a {
  flex-basis: 50%;
  padding: var(--space-xxxs);
  box-sizing: border-box;
  line-height: 0;
}


/* mobile/tablet view */
@media (max-width: 800px) {
  .nav-content-wrapper {
    flex-direction: column;
  }

  header {
    position: initial;
    height: fit-content;
    padding: var(--space-sm);
    margin-top: auto;
  }

  main {
    padding: var(--space-sm);
  }
}

@media (max-width: 600px) {
  .shelf {
    display: flex;
    flex-direction: column;
  }
}